org.apache.ignite.internal.processors.cache.warmup

## Class NoOpWarmUpStrategy

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.warmup.NoOpWarmUpStrategy

All Implemented Interfaces:
  WarmUpStrategy<NoOpWarmUpConfiguration>

    public class NoOpWarmUpStrategy
    extends Object
    implements WarmUpStrategy<NoOpWarmUpConfiguration>

Noop warming up strategy.

### Constructor Summary

Constructors
Constructor and Description
`NoOpWarmUpStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<NoOpWarmUpConfiguration>` `configClass()` Returns configuration class for mapping to strategy.
`void` `stop()` Stop warming up.
`String` `toString()`
`void` `warmUp(NoOpWarmUpConfiguration cfg, DataRegion region)` Warm up.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoOpWarmUpStrategy

    public NoOpWarmUpStrategy()

### Method Detail

#### configClass

    public Class<NoOpWarmUpConfiguration> configClass()

Returns configuration class for mapping to strategy.

Specified by:
  `configClass` in interface `WarmUpStrategy<NoOpWarmUpConfiguration>`
Returns:
  Configuration class.

#### warmUp

    public void warmUp(NoOpWarmUpConfiguration cfg,
                       DataRegion region)
                throws IgniteCheckedException

Warm up.

Specified by:
  `warmUp` in interface `WarmUpStrategy<NoOpWarmUpConfiguration>`
Parameters:
  `cfg` - Warm-up configuration.
  `region` - Data region.
Throws:
  `IgniteCheckedException` - if faild.

#### stop

    public void stop()
              throws IgniteCheckedException

Stop warming up.

Specified by:
  `stop` in interface `WarmUpStrategy<NoOpWarmUpConfiguration>`
Throws:
  `IgniteCheckedException` - if faild.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021